import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { CONTAINER_CONTENT_WIDTH } from '../constants';
var spacing = selectors.spacing;
var sizeStyles = {
  small: css(["padding-left:", ";padding-right:", ";"], spacing('12'), spacing('12')),
  regular: css(["padding-left:", ";padding-right:", ";"], spacing('12'), spacing('12')),
  large: css(["padding-left:", ";padding-right:", ";"], spacing('13'), spacing('13'))
};
export var StyledContainer = styled.div.withConfig({
  displayName: "StyledContainer",
  componentId: "sc-ey1ckh-0"
})(["max-width:", ";margin-left:auto;margin-right:auto;", ""], CONTAINER_CONTENT_WIDTH, function (_ref) {
  var $size = _ref.$size;
  return sizeStyles[$size];
});